We run a copy of [TheRaven ircbot](https://foundation.aninix.net/AniNIX/TheRaven) as a service on AniNIX/Core.

# Etymology

Ravens are smart, ubiquitous birds. [DarkFeather](https://foundation.aninix.net/DarkFeather) has chosen them as his avatar, and this bot serves as his IRC emissary and minion.

# Development

You can deploy this service directly with the following invocation:

```
ansible-playbook -i Core, -e 'role=TheRaven' playbooks/one-role.yml
```

# Configuration

Most of the configuration is controlled through the [configuration files](https://foundation.aninix.net/AniNIX/TheRaven/src/branch/main/sample-confs) provided by the package. 

Some configuration comes from [the local template](./templates/raven.conf.j2) -- it expects the vault to have a `password.TheRaven` value. The rest of the variables are provided in the -e flag above. These can be set at the host or site level in the inventory.

# Clients

TheRaven can be accessed through any [IRC](../IRC) client -- start with `r.help` to see what commands are available.


